# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_HArray1OfTextOrCharacter Class Reference

`#include <StepVisual_HArray1OfTextOrCharacter.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_HArray1OfTextOrCharacter (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_HArray1OfTextOrCharacter (const Standard_Integer Low, const Standard_Integer Up, const StepVisual_TextOrCharacter &V)
Standard_EXPORT void | Init (const StepVisual_TextOrCharacter &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_TextOrCharacter &Value)
const StepVisual_TextOrCharacter & | Value (const Standard_Integer Index) const
StepVisual_TextOrCharacter & | ChangeValue (const Standard_Integer Index)
const StepVisual_Array1OfTextOrCharacter & | Array1 () const
StepVisual_Array1OfTextOrCharacter & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_Array1OfTextOrCharacter | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_HArray1OfTextOrCharacter::StepVisual_HArray1OfTextOrCharacter | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_HArray1OfTextOrCharacter::StepVisual_HArray1OfTextOrCharacter | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepVisual_TextOrCharacter & | V
| ) |

## Member Function Documentation

const StepVisual_Array1OfTextOrCharacter& StepVisual_HArray1OfTextOrCharacter::Array1 | ( |  | ) | const

StepVisual_Array1OfTextOrCharacter& StepVisual_HArray1OfTextOrCharacter::ChangeArray1 | ( |  | ) |

StepVisual_TextOrCharacter& StepVisual_HArray1OfTextOrCharacter::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepVisual_HArray1OfTextOrCharacter::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_HArray1OfTextOrCharacter::Init | ( | const StepVisual_TextOrCharacter & | V | ) |

Standard_Integer StepVisual_HArray1OfTextOrCharacter::Length | ( |  | ) | const

Standard_Integer StepVisual_HArray1OfTextOrCharacter::Lower | ( |  | ) | const

void StepVisual_HArray1OfTextOrCharacter::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_TextOrCharacter & | Value
| ) |

Standard_Integer StepVisual_HArray1OfTextOrCharacter::Upper | ( |  | ) | const

const StepVisual_TextOrCharacter& StepVisual_HArray1OfTextOrCharacter::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepVisual_Array1OfTextOrCharacter StepVisual_HArray1OfTextOrCharacter::myArray `[private]`

The documentation for this class was generated from the following file:

- StepVisual_HArray1OfTextOrCharacter.hxx